#!/home2/j-env/bin/wish -f
# mkBitmaps w
#
# Create a top-level window that displays all of Tk's built-in bitmaps.
#
# Arguments:
#    w -	Name to use for new top-level window.

proc mkBitmaps {{w .bitmaps}} {
    global tk_library msg_kanji_font
    catch {destroy $w}
    toplevel $w
    dpos $w
    wm title $w "Bitmap Demonstration"
    wm iconname $w "Bitmaps"
    message $w.msg -font -Adobe-times-medium-r-normal--*-180* -width 4i \
	    -kanjifont $msg_kanji_font \
	    -text {\
̃EBhEɂ́ATk ɑgݍ܂ꂽׂẴrbg}bvA\
̖OƋɕ\Ă܂B\
Tcl ̃XNvgł́A\
ꂼ̖OpĎQƂ܂B\
\߂uv{^ĂB}
    frame $w.frame
    bitmapRow $w.frame.0 error gray25 gray50 hourglass
    bitmapRow $w.frame.1 info question questhead warning
    button $w.ok -text  -command "destroy $w"
    pack $w.msg -side top -anchor center
    pack $w.frame -side top -expand yes -fill both
    pack $w.ok -side bottom -fill both
}

# The procedure below creates a new row of bitmaps in a window.  Its
# arguments are:
#
# w -		The window that is to contain the row.
# args -	The names of one or more bitmaps, which will be displayed
#		in a new row across the bottom of w along with their
#		names.

proc bitmapRow {w args} {
    frame $w
    pack $w -side top -fill both
    set i 0
    foreach bitmap $args {
	frame $w.$i
	pack $w.$i -side left -fill both -pady .25c -padx .25c
	label $w.$i.bitmap -bitmap $bitmap
	label $w.$i.label -text $bitmap -width 9
	pack $w.$i.label $w.$i.bitmap -side bottom
	incr i
    }
}
