#!/home2/j-env/bin/wish -f
# mkIcon w
#
# Create a top-level window that displays a bunch of iconic
# buttons.
#
# Arguments:
#    w -	Name to use for new top-level window.

proc mkIcon {{w .icon}} {
    global tk_library
    catch {destroy $w}
    toplevel $w
    dpos $w
    wm title $w "Iconic Button Demonstration"
    wm iconname $w "Icons"
    global msg_kanji_font
    message $w.msg -font -Adobe-times-medium-r-normal--*-180* -aspect 300 \
	    -kanjifont $msg_kanji_font \
	    -text {\
̃EBhEɂ̓eLXg̑Ƀrbg}bv\{^ 3\
܂B\
͕ʂ̃{^ŁANbNƃrbg}bvς܂B\
Eɂ̂ 2̃WI{^łBIuv{^ĂB}
    frame $w.frame -borderwidth 10
    button $w.ok -text  -command "destroy $w"
    pack $w.msg -side top
    pack $w.frame $w.ok -side top -fill x

    button $w.frame.b1 -bitmap @$tk_library/demos/bitmaps/flagdown  \
		-command "iconCmd $w.frame.b1"
    frame $w.frame.right
    pack $w.frame.b1 $w.frame.right -side left -expand yes

    radiobutton $w.frame.right.b2 -bitmap @$tk_library/demos/bitmaps/letters \
	    -variable letters
    radiobutton $w.frame.right.b3 -bitmap @$tk_library/demos/bitmaps/noletters \
	    -variable letters
    pack $w.frame.right.b2 $w.frame.right.b3 -side top -expand yes
}

proc iconCmd {w} {
    global tk_library
    set bitmap [lindex [$w config -bitmap] 4]
    if {$bitmap == "@$tk_library/demos/bitmaps/flagdown"} {
	$w config -bitmap @$tk_library/demos/bitmaps/flagup
    } else {
	$w config -bitmap @$tk_library/demos/bitmaps/flagdown
    }
}
