#!/home2/j-env/bin/wish -f
# mkStyles w
#
# Create a top-level window with a text widget that demonstrates the
# various display styles that are available in texts.
#
# Arguments:
#    w -	Name to use for new top-level window.

proc mkStyles {{w .styles}} {
    catch {destroy $w}
    toplevel $w
    dpos $w
    wm title $w "Text Demonstration - Display Styles"
    wm iconname $w "Text Styles"

    button $w.ok -text  -command "destroy $w"
    text $w.t -relief raised -bd 2 -yscrollcommand "$w.s set" -setgrid true \
	    -width 70 -height 28
    scrollbar $w.s -relief flat -command "$w.t yview"
    pack $w.ok -side bottom -fill x
    pack $w.s -side right -fill y
    pack $w.t -expand yes -fill both

    # Set up display styles

    global msg_kanji_font
    $w.t tag configure bold -font -Adobe-Courier-Bold-O-Normal-*-120-*
    $w.t tag configure big -font -Adobe-Courier-Bold-R-Normal-*-140-* \
	-kanjifont $msg_kanji_font
    $w.t tag configure verybig -font -Adobe-Helvetica-Bold-R-Normal-*-240-*
    $w.t tag configure small -font -Adobe-Helvetica-Bold-R-Normal-*-100-* \
	-kanjifont -misc-fixed-*--14-*-jisx0208.1983-0
    if {[tk colormodel $w] == "color"} {
	$w.t tag configure color1 -background #eed5b7
	$w.t tag configure color2 -foreground red
	$w.t tag configure raised -background #eed5b7 -relief raised \
		-borderwidth 1
	$w.t tag configure sunken -background #eed5b7 -relief sunken \
		-borderwidth 1
    } else {
	$w.t tag configure color1 -background black -foreground white
	$w.t tag configure color2 -background black -foreground white
	$w.t tag configure raised -background white -relief raised \
		-borderwidth 1
	$w.t tag configure sunken -background white -relief sunken \
		-borderwidth 1
    }
    $w.t tag configure bgstipple -background black -borderwidth 0 \
	    -bgstipple gray25
    $w.t tag configure fgstipple -fgstipple gray50
    $w.t tag configure underline -underline on

    $w.t insert 0.0 {\
̂悤ɃeLXg widget ͏lXȃX^Cŕ\邱Ƃł܂B
\X^C}
    insertWithTags $w.t {^O} big
    insertWithTags $w.t {ƂJjYŃRg[܂B
^OƂ̓eLXg widget ̂镶 (͈̔)ɑ΂ēKpł
PȂ閼ÔƂłB^O͗lXȕ\X^Cɐݒł܂B
ݒ肷ƁÃ^Ô͎w肵X^Cŕ\
悤ɂȂ܂Bgpł\X^C͎̒ʂłB
}
    insertWithTags $w.t {
1. tHgB} big
    insertWithTags $w.t {  ǂ X ̃tHgłg܂B}
    insertWithTags $w.t large verybig
    insertWithTags $w.t { Ƃ
}
    insertWithTags $w.t {} small
    insertWithTags $w.t {ƂB
}
    insertWithTags $w.t {
2. FB} big
    insertWithTags $w.t {  }
    insertWithTags $w.t {wiF} color1
    insertWithTags $w.t {}
    insertWithTags $w.t {OiF} color2
    insertWithTags $w.t {}
    insertWithTags $w.t {} color1 color2
    insertWithTags $w.t {Ƃς邱Ƃł܂B
}
    insertWithTags $w.t {
3. ԂB} big
    insertWithTags $w.t {  ̂悤ɕ`̍ۂ}
    insertWithTags $w.t {wi} bgstipple
    insertWithTags $w.t {} fgstipple
    insertWithTags $w.t {PȂhԂ
łȂAԂgƂł܂B
}
    insertWithTags $w.t {
4. B} big
    insertWithTags $w.t {  ̂悤}
    insertWithTags $w.t {ɉ} underline
    insertWithTags $w.t {Ƃł܂B
}
    insertWithTags $w.t {
5. 3D ʁB} big
    insertWithTags $w.t {  wiɘgāA}
    insertWithTags $w.t {яo} raised
    insertWithTags $w.t {悤ɂ}
    insertWithTags $w.t {} sunken
    insertWithTags $w.t {
悤ɂł܂B
}
    insertWithTags $w.t {
6. ҁB} big
    insertWithTags $w.t {  sςAsԂςƂA
Ƃ낢ȕ\ʂoꂷ\łB}

    $w.t mark set insert 0.0
    bind $w <Any-Enter> "focus $w.t"
}

# The procedure below inserts text into a given text widget and
# applies one or more tags to that text.  The arguments are:
#
# w		Window in which to insert
# text		Text to insert (it's inserted at the "insert" mark)
# args		One or more tags to apply to text.  If this is empty
#		then all tags are removed from the text.

proc insertWithTags {w text args} {
    set start [$w index insert]
    $w insert insert $text
    foreach tag [$w tag names $start] {
	$w tag remove $tag $start insert
    }
    foreach i $args {
	$w tag add $i $start insert
    }
}
