# mkIcon w
#
# Create a top-level window that displays a bunch of iconic
# buttons.
#
# Arguments:
#    w -	Name to use for new top-level window.

proc mkIcon {{w .icon}} {
    global tk_library
    catch {destroy $w}
    toplevel $w
    dpos $w
    wm title $w "Iconic Button Demonstration"
    wm iconname $w "Icons"
    global msg_kanji_font
    message $w.msg -font -Adobe-times-medium-r-normal--*-180* -aspect 300 \
	    -kanjifont $msg_kanji_font \
	    -text {\
̃EBhEɂ̓eLXg̑Ƀrbg}bv\{^ 3\
܂B\
͕ʂ̃{^ŁANbNƃrbg}bvς܂B\
Eɂ̂ 2̃WI{^łBIuv{^ĂB}
    frame $w.frame -borderwidth 10
    pack append $w.frame \
	[button $w.frame.b1 -bitmap @$tk_library/demos/bitmaps/flagdown  \
		-command "iconCmd $w.frame.b1"] {left expand} \
	[frame $w.frame.right] {left expand}
    radiobutton $w.frame.right.b2 -bitmap @$tk_library/demos/bitmaps/letters \
	    -variable letters
    radiobutton $w.frame.right.b3 -bitmap @$tk_library/demos/bitmaps/noletters \
	    -variable letters
    pack append $w.frame.right $w.frame.right.b2 {top expand} \
	    $w.frame.right.b3 {top expand}
    button $w.ok -text  -command "destroy $w"

    pack append $w $w.msg {top frame c} $w.frame {top expand fill} \
	    $w.ok {bottom fill}
}

proc iconCmd {w} {
    global tk_library
    set bitmap [lindex [$w config -bitmap] 4]
    if {$bitmap == "@$tk_library/demos/bitmaps/flagdown"} {
	$w config -bitmap @$tk_library/demos/bitmaps/flagup
    } else {
	$w config -bitmap @$tk_library/demos/bitmaps/flagdown
    }
}
