# mkLabel w
#
# Create a top-level window that displays a bunch of labels.
#
# Arguments:
#    w -	Name to use for new top-level window.

proc mkLabel {{w .l1}} {
    global tk_library msg_kanji_font
    catch {destroy $w}
    toplevel $w
    dpos $w
    wm title $w "Label Demonstration"
    wm iconname $w "Labels"
    message $w.msg -font -Adobe-times-medium-r-normal--*-180* -aspect 300 \
	    -kanjifont $msg_kanji_font \
	    -text {\
ɂ 5̃x\Ă܂B\
ɂ̓eLXgx 3A\
Eɂ̓rbg}bvxƃeLXgx܂B\
xƂ̂͂܂ʔ̂ł͂܂B\
ȂȂ璭߂ȊOłȂłB\
\߂uv{^ĂB}

    frame $w.frame -borderwidth 10
    pack append $w.frame \
	[frame $w.frame.right -borderwidth 10] {right} \
	[label $w.frame.l1 -text "ŏ̃x"] {top frame w pady 4 expand} \
	[label $w.frame.l2 -text "2ԖځBƕオ点Ă݂܂" \
	    -relief raised] {top frame w pady 4 expand} \
	[label $w.frame.l3 -text "3ԖځBł܂" -relief sunken ] \
	    {top frame w pady 4 expand}
    pack append $w.frame.right \
	[label $w.frame.right.bitmap -bitmap @$tk_library/demos/bitmaps/face \
	    -borderwidth 2 -relief sunken] top \
	[label $w.frame.right.caption -text "Tcl/Tk L"] bottom
    button $w.ok -text  -command "destroy $w"

    pack append $w $w.msg {top frame c} $w.frame {top expand fill} \
	    $w.ok {bottom fill}
}
