# mkListbox w
#
# Create a top-level window that displays a listbox with the names of the
# 50 states.
#
# Arguments:
#    w -	Name to use for new top-level window.

proc mkListbox {{w .l1}} {
    catch {destroy $w}
    toplevel $w
    dpos $w
    wm title $w "Listbox Demonstration (50 states)"
    wm iconname $w "Listbox"
    wm minsize $w 1 1
    global msg_kanji_font
    message $w.msg -font -Adobe-times-medium-r-normal--*-180* -aspect 300 \
	    -kanjifont $msg_kanji_font \
	    -text {\
ɂ͓̂s{XN[o[t̃Xg{bNXłB\
XgXN[̂̓XN[o[łł܂A\
Xg{bNX̒Ń}EX̃{^2 ({^) ܂\
hbOĂł܂B\
\߂uv{^ĂB}
    frame $w.frame -borderwidth 10
    scrollbar $w.frame.scroll -relief sunken -command "$w.frame.list yview"
    listbox $w.frame.list -yscroll "$w.frame.scroll set" -relief sunken \
	    -setgrid 1
    pack append $w.frame $w.frame.scroll {right filly} \
	    $w.frame.list {left expand fill}
    $w.frame.list insert 0 \
	m X Hc ΐ  \
	 Q 啪  R \
	   _ސ  \
	s F{ Qn m  \
	  É  t \
	  Ȗ  xR \
	  ޗ V  \
	L    kC \
	Od { { R` R \
	R a̎R

    button $w.ok -text  -command "destroy $w"

    pack append $w $w.msg {top fill} $w.frame {top expand filly frame center} \
	$w.ok {bottom fill}
}
