# mkVScale w
#
# Create a top-level window that displays a vertical scale.
#
# Arguments:
#    w -	Name to use for new top-level window.

proc mkVScale {{w .scale1}} {
    catch {destroy $w}
    toplevel $w
    dpos $w
    wm title $w "Vertical Scale Demonstration"
    wm iconname $w "Scale"
    global msg_kanji_font
    message $w.msg -font -Adobe-times-medium-r-normal--*-180* -aspect 300 \
	    -kanjifont $msg_kanji_font \
	    -text {\
ɂ̓o[Əc^̃XP[\Ă܂BXP[Ń}EX̃{^1 \
NbN邩hbOăo[̍ς邱Ƃł܂B\
Iuv{^ĂB}
    frame $w.frame -borderwidth 10
    pack append $w.frame \
	[scale $w.frame.scale -orient vertical -length 280 -from 0 -to 250 \
	    -command "setHeight $w.frame.right.inner" -tickinterval 50 \
	    -bg Bisque1] {left expand frame ne} \
	[frame $w.frame.right -borderwidth 15] {right expand frame nw}
    pack append $w.frame.right \
	[frame $w.frame.right.inner -geometry 40x20 -relief raised \
	    -borderwidth 2 -bg SteelBlue1] {expand frame nw}
    $w.frame.scale set 20
    button $w.ok -text  -command "destroy $w"

    pack append $w $w.msg {top fill} $w.frame {top expand fill} \
	$w.ok {bottom fill}
}

proc setHeight {w height} {
    $w config -geometry 40x${height}
}
